# Akeneo Connector for Magento 2:

Akeneo Connector for Magento 2 is a module that allows you to export your catalog data and structure from Akeneo PIM to Magento 2 through API calls. This version of the connector is designed to work with Akeneo PIM Community Edition. It could either work with Magento 2 Community Edition or Enterprise Edition.

You can discover Akeneo Connector on the [Akeneo Marketplace](https://marketplace.akeneo.com/extension/akeneo-connector-magento-2-community-edition) or on the Magento Marketplace.

> [PIMGento 2 API](https://github.com/Agence-DnD/PIMGento-2-API) becomes Akeneo Connector for Magento2!

### Documentation:

Akeneo Connector complete documentation is available [here](https://help.akeneo.com/magento2-connector/index.html).

Akeneo API complete documentation is available [here](https://api.akeneo.com/).

### Features:

With Akeneo Connector for Magento 2, you can import:
* Categories
* Families
* Attributes
* Options
* Product Model
* Family Variant
* Products

### Requirements:

* Akeneo PIM >= 2.0 (CE & EE) | Akeneo EE features are not included in this version of the Connector
* Akeneo PIM >= 3.0 (CE & EE) | Akeneo EE features are not included in this version of the Connector
* Magento >= 2.1 (CE & EE)
* Database encoding must be UTF-8

### Migration:

If you want to migrate from previous PIMGento 2 connectors, please follow our [migration guides](https://help.akeneo.com/magento2-connector/index.html).

### About us

Our team has been working in the e-commerce industry for over 10 years. As we were helping brands to grow their online businesses, we realized that they were all struggling with complex or archaic systems to manage product information.

We founded Akeneo in 2013 with the idea that products are the most important assets in a company and that many merchants lack a tool to help them manage and leverage this crucial asset. Merchants needed a tool that was designed for marketers and flexible enough to be integrated with any third-party application.

Akeneo PIM integrates with the Magento 2 platform via a powerful Connector historically built by its Gold Solution Partner, Agence Dn'D, a true expert in implementing the joint solution.

Akeneo and Magento solutions are a logical fit as they are both Open Source, share the same technology stack, and count many joint customers benefiting from the combined value proposition.

Akeneo now partners with Agence Dn'D on Akeneo Connector for Magento 2, to provide the best customer experience to Magento merchants looking for a compelling product experience that will improve their revenue.

### About Agence Dn'D
Founded by lovers of innovation and design, [Agence Dn'D](https://www.dnd.fr) assists companies in the creation and development of customized digital (open source) solutions for web and E-commerce since 2004.
